Create a Milestone Reminder
curl --request POST \
--url https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"milestoneType": "<string>",
"threshold": "<integer>",
"ownerEmail": "<string>",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
milestoneType: '<string>',
threshold: '<integer>',
ownerEmail: '<string>',
description: '<string>'
})
};
fetch('https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone"
payload = {
"name": "<string>",
"milestoneType": "<string>",
"threshold": "<integer>",
"ownerEmail": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"milestoneType\": \"<string>\",\n \"threshold\": \"<integer>\",\n \"ownerEmail\": \"<string>\",\n \"description\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
milestoneType: '<string>',
threshold: '<integer>',
ownerEmail: '<string>',
description: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"name": "<string>",
"reminderSourceType": "<string>",
"reminderSourceTypeDisplayName": "<string>",
"reminders": [
{
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
},
{
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
}
],
"message": "<string>",
"dueDate": "<dateTime>",
"contactId": "<integer>",
"contactDisplayName": "<string>",
"reminderFrequency": "<string>",
"reminderFrequencyDisplayName": "<string>",
"milestoneType": "<string>",
"milestoneTypeDisplayName": "<string>",
"threshold": "<integer>",
"description": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Reminders (Deprecated)
Create a Milestone Reminder
Creates a rule that generates a reminder when a contact reaches a milestone, such as a giving total crossing a threshold. Use the List Milestone Types endpoint for the values milestoneType accepts, and threshold for the value that triggers it.
POST
/
api
/
Reminder
/
Saved
/
Milestone
Create a Milestone Reminder
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
The unique identifier of the record in Virtuous.
The display name of the record.
Show child attributes
Show child attributes
The identifier of the contact this record belongs to.
The free-text description stored on the record.
Last modified on August 11, 2026
Was this page helpful?
⌘I